Subject: Re: [bug-diffutils] bug#30913: Releasing a build compatible withglibc-2.26+

From: Paul Eggert <[email-masked]>
Date: Fri, 23 Mar 2018 12:07:57 -0700

On 03/23/2018 11:50 AM, Eric Blake wrote:
> Would it not be simpler to just use __attribute__((unused)) on the 
> function declaration

That should work if properly ifdeffed, yes. I didn't do it that way only 
because nobody else in Gnulib is doing it that way and there are 
problems with __attribute__((unused)) in older GCCs that I didn't want 
to do the research on. As I vaguely recall, __attribute__ ((used)) used 
to mean __attribute__ ((unused)), or was it vice versa?